<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/AutomaticRifle/AUG.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/dbe/_a_u_g_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">AUG.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d0/dbe/_a_u_g_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d90/class_aug___base.html">Aug_Base</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d52/class_aug_optic.html">AugOptic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afa24e4df50032c8b517107d6e5c42096"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dbe/_a_u_g_8c.html#afa24e4df50032c8b517107d6e5c42096">OnDebugSpawn</a> ()</td></tr>
<tr class="separator:afa24e4df50032c8b517107d6e5c42096"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49e5f0d23b711ee80e7e2ed15ff69ddf"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dbe/_a_u_g_8c.html#a49e5f0d23b711ee80e7e2ed15ff69ddf">AssembleGun</a> ()</td></tr>
<tr class="separator:a49e5f0d23b711ee80e7e2ed15ff69ddf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a90a913f133b3400ad1562c42ba3a3f95"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../db/d52/class_aug_optic.html">AugOptic</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/dbe/_a_u_g_8c.html#a90a913f133b3400ad1562c42ba3a3f95">CanEnterIronsights</a></td></tr>
<tr class="separator:a90a913f133b3400ad1562c42ba3a3f95"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a49e5f0d23b711ee80e7e2ed15ff69ddf" name="a49e5f0d23b711ee80e7e2ed15ff69ddf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49e5f0d23b711ee80e7e2ed15ff69ddf">&#9670;&#160;</a></span>AssembleGun()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void AssembleGun </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dbe/_a_u_g_8c_source.html#l00068">68</a> of file <a class="el" href="../../d0/dbe/_a_u_g_8c_source.html">AUG.c</a>.</p>

</div>
</div>
<a id="afa24e4df50032c8b517107d6e5c42096" name="afa24e4df50032c8b517107d6e5c42096"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa24e4df50032c8b517107d6e5c42096">&#9670;&#160;</a></span>OnDebugSpawn()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void CanEnterIronsights::OnDebugSpawn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dbe/_a_u_g_8c_source.html#l00065">65</a> of file <a class="el" href="../../d0/dbe/_a_u_g_8c_source.html">AUG.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a90a913f133b3400ad1562c42ba3a3f95" name="a90a913f133b3400ad1562c42ba3a3f95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90a913f133b3400ad1562c42ba3a3f95">&#9670;&#160;</a></span>CanEnterIronsights</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class Aug extends <a class="el" href="../../d1/d90/class_aug___base.html">Aug_Base</a> CanEnterIronsights</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dbe/_a_u_g_8c_source.html#l00045">45</a> of file <a class="el" href="../../d0/dbe/_a_u_g_8c_source.html">AUG.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_12748d34ce77fc0f8f7bf10a90a70558.html">AutomaticRifle</a></li><li class="navelem"><a class="el" href="../../d0/dbe/_a_u_g_8c.html">AUG.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
